Package org.apache.batchee.container.services.transaction

## Class DefaultBatchTransactionService

- java.lang.Object
- - org.apache.batchee.container.services.transaction.DefaultBatchTransactionService

- All Implemented Interfaces:
    `BatchService`, `TransactionManagementService`

      public class DefaultBatchTransactionService
      extends Object
      implements TransactionManagementService

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Properties` | `batchConfig` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultBatchTransactionService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected TransactionManagerAdapter` | `getTransactionManager()` |
    `TransactionManagerAdapter` | `getTransactionManager​(javax.batch.runtime.context.StepContext stepContext)` |
    `void` | `init​(Properties batchConfig)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### batchConfig

          protected Properties batchConfig

  - ### Constructor Detail

    - #### DefaultBatchTransactionService

          public DefaultBatchTransactionService()

  - ### Method Detail

    - #### init

          public void init​(Properties batchConfig)
                    throws BatchContainerServiceException

      Specified by:
        `init` in interface `BatchService`
      Throws:
        `BatchContainerServiceException`

    - #### getTransactionManager

          protected TransactionManagerAdapter getTransactionManager()

    - #### getTransactionManager

          public TransactionManagerAdapter getTransactionManager​(javax.batch.runtime.context.StepContext stepContext)
                                                          throws TransactionManagementException

      Specified by:
        `getTransactionManager` in interface `TransactionManagementService`
      Throws:
        `TransactionManagementException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`